# ST31 - Update shipment additional information

DescriptionLimited to 100 shipments at a time
Call FrequencyRecommended usage: At each update of shipments for one or multiple shipmentsMaximum usage: At each update of shipments for one or multiple shipments

Endpoint: PUT /api/shipments/additional_information
Security: Shop-API-Key

## Security:

  - `Shop-API-Key` (unknown)
    apiKey in header Authorization scopes: ROLE_SHOP_ADMIN, ROLE_PARTNER_ORDER_SHIP

## Query parameters:

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Request fields (application/json):

  - `shipments` (array, required)
    List of shipments additional information

  - `shipments.id` (string, required)
    Shipment id

  - `shipments.shipment_additional_information` (array, required)
    Shipment additional information

  - `shipments.shipment_additional_information.code` (string, required)
    The code associated to shipment additional information that you want to complete

  - `shipments.shipment_additional_information.type` (string, required)
    The type associated to the shipment additional information that you want to complete
Enum: `"STRING"`, `"DATE"`
    Enum: "DATE", "STRING"

  - `shipments.shipment_additional_information.value` (object, required)
    The value associated to the shipment additional information that you want to complete for this specific shipment

## Request examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `shipment_update_errors` (array)
    Shipment additional information update errors

  - `shipment_update_errors.errors` (array)
    List of errors

  - `shipment_update_errors.errors.code` (string, required)
    Error code

  - `shipment_update_errors.errors.field` (string, required)
    Name of the field on the input object. Can be composed, e.g.: address.zip_code

  - `shipment_update_errors.errors.message` (string, required)
    Error message

  - `shipment_update_errors.shipment_id` (string)
    Shipment id

  - `shipment_update_success` (array)
    Shipment additional information update success

  - `shipment_update_success.shipment_additional_information` (array)
    Shipment additional information

  - `shipment_update_success.shipment_additional_information.code` (string, required)
    The code associated to shipment additional information that you want to complete

  - `shipment_update_success.shipment_additional_information.type` (string, required)
    The type associated to the shipment additional information that you want to complete
Enum: `"STRING"`, `"DATE"`
    Enum: "DATE", "STRING"

  - `shipment_update_success.shipment_additional_information.value` (object, required)
    The value associated to the shipment additional information that you want to complete for this specific shipment

  - `shipment_update_success.shipment_id` (string)
    Shipment id

## Response 200 examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

